TKN-HUB-DOWNGRADE-TASK(1)

NAME

tkn-hub-downgrade-task - Downgrade an installed Task by its name to a lower version

SYNOPSIS

tkn hub downgrade task

DESCRIPTION

Downgrade an installed Task by its name to a lower version

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--to=""
    Version of Resource

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

EXAMPLE

Downgrade a Task of name 'foo' to previous version:

    tkn hub downgrade task foo

or

Downgrade a Task of name 'foo' to version '0.3':

    tkn hub downgrade task foo --to 0.3

SEE ALSO

tkn-hub-downgrade(1)